import { Component, Input, OnInit } from '@angular/core';
import { ionicStandaloneModules } from '../../../modules/ionic-standalone.modules';
import { DeviceService } from '../../../services/device.service';
import { CommonModule } from '@angular/common';

@Component({
  selector: 'nav',
  templateUrl: './nav.component.html',
  styleUrls: ['./nav.component.scss'],
  standalone: true,
  imports: [...ionicStandaloneModules,CommonModule],
})
export class NavComponent implements OnInit {
  @Input('type') type: string = 'back';
  @Input('title') title: string = '';

  constructor(
    public deviceSer: DeviceService
  ) { }

  ngOnInit() {
  }
  onBack() {
    history.back()
  }
}
